Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleExtendedTable

All Superinterfaces:
  AccessibleTable

All Known Implementing Classes:
  JTable.AccessibleJTable

public interface AccessibleExtendedTable
extends AccessibleTable

Class AccessibleExtendedTable provides extended information about a user-interface component that presents data in a two-dimensional table format. Applications can determine if an object supports the AccessibleExtendedTable interface by first obtaining its AccessibleContext and then calling the `AccessibleContext.getAccessibleTable()` method. If the return value is not null and the type of the return value is AccessibleExtendedTable, the object supports this interface.

Method Summary
`int` | `getAccessibleColumn(int index)` Returns the column number of an index in the table.
`int` | `getAccessibleIndex(int r, int c)`
`int` | `getAccessibleRow(int index)` Returns the row number of an index in the table.

Methods inherited from interface javax.accessibility.AccessibleTable
`getAccessibleAt, getAccessibleCaption, getAccessibleColumnCount, getAccessibleColumnDescription, getAccessibleColumnExtentAt, getAccessibleColumnHeader, getAccessibleRowCount, getAccessibleRowDescription, getAccessibleRowExtentAt, getAccessibleRowHeader, getAccessibleSummary, getSelectedAccessibleColumns, getSelectedAccessibleRows, isAccessibleColumnSelected, isAccessibleRowSelected, isAccessibleSelected, setAccessibleCaption, setAccessibleColumnDescription, setAccessibleColumnHeader, setAccessibleRowDescription, setAccessibleRowHeader, setAccessibleSummary`

Method Detail

### getAccessibleRow

    public int getAccessibleRow(int index)

  Returns the row number of an index in the table.

  Parameters:
    `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
  Returns:
    the zero-based row of the table if one exists; otherwise -1.

### getAccessibleColumn

    public int getAccessibleColumn(int index)

  Returns the column number of an index in the table.

  Parameters:
    `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
  Returns:
    the zero-based column of the table if one exists; otherwise -1.

### getAccessibleIndex

    public int getAccessibleIndex(int r,
                                  int c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.